Bug 18659 - fatal SIGABRT kernel version vmlinuz-2.2.16-3
fatal SIGABRT kernel version vmlinuz-2.2.16-3
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2000-10-08 17:19 EDT by rredmon
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rredmon 2000-10-08 17:19:06 EDT
Before updating the kernel to 2.2.16-3 from version vmlinuz-2.2.14-5.0, the
following problem didn't occur so maybe it is kernel related.  Briefly:
I run, Forte for Java, CE v. 1.0 Update Release 1 (Build 842) which
frequently crashes frequently, at least once per Forte session per hour. 
Here is a listing of the console window upon starting Forte including the
text dumped to the console upon crashing:
rredmon@hangover [1:38pm] ~
401 > forte4j
Using /home/rredmon/forte4j_user as the Forte for Java user directory...
-- System info
  Product Version          = Forte for Java, CE v. 1.0 Update Release 1
(Build 842)
  IDE Versioning           = IDE/1 spec=1.0.4 impl=Build 842
  Operating System         = Linux Version 2.2.16-3 Running on i386
  Java Version             = 1.2.2
  Java VM Version          = Classic VM 1.2.2
  Java Vendor              = Sun Microsystems Inc.
  Java Vendor URL          = http://java.sun.com/
  Java Home                = /usr/java/jdk1.2.2/jre
  Java Class Version       = 46.0
  System Locale            = en_US
  JIT                      = javacomp
  Home Dir                 = /home/rredmon
  Current Directory        = /home/rredmon
  Forte for Java Home      = /usr/local/forte4j
  Forte for Java User Home = /home/rredmon/forte4j_user
  System Directory         = /home/rredmon/forte4j_user/system
  CLASSPATH                =
[INFO] Loaded modules: org.netbeans.modules.clazz/1 (1.1/842);
les.html/1 (1.1/842); org.netbeans.modules.httpserver/1 (1.1/842);
modules.icebrowser/1 (1.1/842); org.netbeans.modules.image/1 (1.1/842);
eans.modules.text/1 (1.1/842); org.netbeans.modules.usersguide/1
(1.1/unspec); o
rg.netbeans.modules.vcs.cmdline/1 (1.2/842); org.openidex.util/1 (1.1/842);
netbeans.modules.autoupdate/1 (1.1/842);
org.netbeans.modules.debugger.core/1 (1
.1.2/842); org.netbeans.modules.applet/1 (1.1/842);
r.debug/1 (1.2/842); org.netbeans.modules.debugger.jpda/1 (1.2/842);
s.modules.editor/1 (1.2/842); org.netbeans.modules.java/1 (1.1/842);
s.modules.beans/1 (1.1/842); org.netbeans.modules.form/1 (1.2/842);
.modules.javadoc/1 (1.1/842); org.netbeans.modules.objectbrowser/1
(1.1/842); or
g.netbeans.modules.projects/1 (1.1/842); org.netbeans.modules.utilities/1
42); org.netbeans.modules.web.core/1 (1.1.6/842)
endpoint created: :8082
Internal HTTP server running on port 8082
OUCH: nested memory code, to 1 levels.
SIGABRT   6*   abort (generated by abort(3) routine, also SIGIOT)
    si_signo [6]: SIGABRT   6*   abort (generated by abort(3) routine, also
OUCH: nested memory code, to 1 levels.
OUCH: nested memory code, to 2 levels.
OUCH: nested memory code, to 2 levels.
java: ../../../../../src/linux/hpi/green_threads/src/dl-malloc.c:1214:
chunk: Assertion `(char*)p + sz <= (char*)(((mbinptr)(&(av_[2 *
(0)])))->fd)' fa
OUCH: nested memory code, to 2 levels.
rredmon@hangover [2:33pm] ~
402 >
If further info about my system or if your support team can offer any
advice please let me know as soon as convenient at rredmon@spiggle.com, as
this problem is very frustrating (as all bugs inherently are).  Much
	Robert Redmon
	Spiggle Inc.
Comment 1 Bugzilla owner 2004-09-30 11:38:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.